---
- name: Setup NFS shared drive for Squirro internal multi-node setup
  become: true
  hosts: all
  roles:
    - geerlingguy.nfs
    - mount_nfs
  vars:
    nfs_fp: /exports/shared
    nfs_exports:
      - "{{ nfs_fp }} 10.0.1.10(rw,sync,no_subtree_check,no_root_squash)"
      - "{{ nfs_fp }} 10.0.1.11(rw,sync,no_subtree_check,no_root_squash)"
      - "{{ nfs_fp }} 10.0.1.12(rw,sync,no_subtree_check,no_root_squash)"
      - "{{ nfs_fp }} 10.0.2.10(rw,sync,no_subtree_check,no_root_squash)"
      - "{{ nfs_fp }} 10.0.2.12(rw,sync,no_subtree_check,no_root_squash)"
      - "{{ nfs_fp }} 10.0.2.11(rw,sync,no_subtree_check,no_root_squash)"
    nfs_server_ip: 10.0.2.10
    mount_fp: /mnt/shared
